## libnss-ato-2.3.6.tar.gz

=== Makefile ===
# Makefile for libnss-ato

#### Start of system configuration section. ####

CC = gcc
INSTALL = /usr/bin/install
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

prefix = ""
exec_prefix = ${prefix}

# Where the installed binary goes.
bindir = ${exec_prefix}/bin
binprefix =

sysconfdir = /etc

# mandir = /usr/local/src/less-394/debian/less/usr/share/man
manext = 1
manprefix =

#### End of system configuration section. ####

all:	libnss_ato libnss_ato_test 

libnss_ato:	libnss_ato.c
	${CC} -fPIC -Wall -shared -o libnss_ato.so.2 -Wl,-soname,libnss_ato.so.2 libnss_ato.c

test:	libnss_ato_test.c
	${CC} -fPIC -Wall -o libnss_ato_test libnss_ato_test.c

install:	
	# remeber  /lib/libnss_compat.so.2 -> libnss_compat-2.3.6.so
	${INSTALL_DATA} libnss_ato.so.2 ${prefix}/lib/libnss_ato-2.3.6.so
	${INSTALL_DATA} libnss-ato.3 ${prefix}/usr/share/man/man3
	cd ${prefix}/lib && ln -fs libnss_ato-2.3.6.so libnss_ato.so.2

clean:
	rm -f libnss_ato.so.2 libnss_ato_test
	rm -rf debian/libnss-ato
	rm -f build-stamp

=== debian/control ===
Source: libnss-ato
Maintainer: Pietro Donatini
Section: admin
Priority: standard
Standards-Version: 0.2
Build-Depends: 

Package: libnss-ato
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debianutils (>= 1.8)
Description: NSS module to match all request of unknown user to a single user (All To One)
 .
  Homepage: http://www.dm.unibo.it/~donatini

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

build: build-stamp
build-stamp:
	dh_testdir

	# ci sarebbe configure 
	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) prefix=`pwd`/debian/`dh_listpackages` install
	(cd `pwd`/debian/`dh_listpackages`/lib; ln -s libnss_ato-2.3.6.so libnss_ato.so.2)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
# donatini scommentato
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
